Update call
Update a call with additional metadata. The call can be either a phone call or a web call. The response includes the updated call details. If override is True, existing metadata will be completely replaced with new metadata, including None values.
Authorizations
The API Key created in Rounded Studio.
- You can create it by going to the "API Keys" settings of your profile.
- Need help? You can email us at team@callrounded.com or join our Discord community.
Path Parameters
Body
Schema for updating a call with metadata.
Additional metadata to associate with the call.
{
"source": "marketing_campaign",
"utm_medium": "email"
}If True, existing metadata will be completely replaced with new metadata. If False, existing metadata will be merged with new metadata.
Response
Successfully updated call information
The call data retrieved.
- PhoneCallGetApiResponseData
- WebCallGetApiResponseData
Response message indicating the result of the operation.
{
"details": [
{
"field": "email",
"message": "Invalid email format"
}
],
"message": "An error occurred while processing your request",
"status": 400,
"type": "generic_error"
}HTTP status code of the response.